﻿using UnityEngine;

public class ScoreController : MonoBehaviour
{
    public GameObject manager;
    public int points = 1;

    // Links to the ScoreManager on start
    private void Start()
    {
        if (manager == null)
        {
            manager = GameObject.FindGameObjectsWithTag("GameManager")[0];
        }
    }

    // Triggers when the point is touched
    void OnTriggerEnter2D(Collider2D other)
    {
        pointCollected();
    }

    // Notifies the manager that point was collected and destroys itself
    public void pointCollected()
    {
        if (manager != null) manager.GetComponent<ScoreManager>().addPoints(points);
        Object.Destroy(gameObject);
    }
}
