﻿using System.Collections.Generic;
using UnityEngine;

public class PointSpawner : MonoBehaviour
{
    public bool isEnabled = true;
    public GameObject point;
    public int chance = 100;
    
    // Spawns the point when the Spawner is generated
    private void Start()
    {
        gameObject.GetComponent<SpriteRenderer>().enabled = false;
        if (isEnabled)
        {
            if (chance > Random.Range(0, 100))
            {
                Instantiate(point, gameObject.transform);
                //Instantiate(point, new Vector3(transform.position.x, transform.position.y, 0), Quaternion.identity);
            }
        }
    }
}
